Subject: Re: A poll

From: "Randall Stewart (cisco)" <[email-masked]>
Date: Thu, 06 Nov 2003 11:10:50 -0600

Randall Stewart (cisco) wrote:

> Greetings SCTP'ers:
>
>
> I am trying to establish the various SCTP implementations and
> who has what.  The following are known implementations (to
> my limited knowledge):
>
> Who                         OS              Type               
> Availiablity
> -------------------------------------------------------------------
> KAME               BSD's               Kernel            Free with 
> KAME download (which is free too)
> LK-SCTP          LINUX             Kernel            Free with add-on 
> will be in 2.6 stable
> U-ESSEN          Various             User-Land      Free user for 
> download from sctp.de
> OPENSS7          LINUX             Kernel            Free download 
> from openss7.org
> ADAX                SUN/Solaris     Kernel           Available for 
> purchase
> Trillium (?hughes) Various           ????              Available for 
> purchase
>                 
> Others I know have implementations but I am unclear as to their status 
> are:
> ------------
> Artecon
> HP
> Solaris
> Data-Connections
> Ulticom
>
> ????
>
> What I would like to do is establish a new web page on www.sctp.org 
> listing various implementations
> and where you can get them (purchase or download) and if an 
> implementation comes with an
> O/S what version of the OS etc..
>
> If you have an implementation and would send me your status aka what 
> O/S, and how it is
> available... i.e.:
>   o Is it included with an O/S? if so what release
>   o Is it available for purchase by itself? if so what O/S's are 
> supported?
>   o Is it available bundled only with a product? If so what products 
> and can it
>      be used only by your product or does it become available on that 
> machine
>      through an API?
>
> For any of the implementations I have listed Various, I would 
> appreciate an email listing
> the exact machines and O/S's you support. Also if your implementation 
> is planned
> I can put that up aka (available in a furture release of the XXX O/S 
> is fine)..
>
> I would appreciate responses from all the implementations out there .. 
> this will:
>
> a) Help further SCTP to the doubters (its not available so why should 
> I use it?)
> b) Give a centralized web page where people can find out what is out 
> there (send me
>    web links too, I can put these up linking off to your product).
> c) Give a bit of free advertising to you and your implementation..
>
> Thanks
>
> R
>
>
Hello all you implementors out there... I have received responses from
a couple of you.. I know there are more than that...  please take a
few moments so I can get a few more names added to my list ..

Thanks

R

-- 
Randall R. Stewart
ITD
Cisco Systems Inc.
[email-masked] 815-342-5222(cell) or 815-477-2127(office)